<?php

namespace App\Classes\Modules\Orders\DataTransferObjects;


class OrderObject
{

    /** @var string */
    private $marking;

    /** @var int */
    private $companyId;

    /** @var int */
    private $forwarderId;

    /** @var int|null */
    private $warehouseId;

    /**
     * OrderObject constructor.
     * @param string $marking
     * @param int $companyId
     * @param int $forwarderId
     * @param int|null $warehouseId
     */
    public function __construct(string $marking, int $companyId, int $forwarderId, ?int $warehouseId = null)
    {
        $this->marking = $marking;
        $this->companyId = $companyId;
        $this->forwarderId = $forwarderId;
        $this->warehouseId = $warehouseId;
    }

    /**
     * @return string
     */
    public function getMarking(): string
    {
        return $this->marking;
    }

    /**
     * @return int
     */
    public function getCompanyId(): int
    {
        return $this->companyId;
    }

    /**
     * @return int
     */
    public function getForwarderId(): int
    {
        return $this->forwarderId;
    }

    /**
     * @return int|null
     */
    public function getWarehouseId(): ?int
    {
        return $this->warehouseId;
    }

    /**
     * @param int|null $warehouseId
     */
    public function setWarehouseId(?int $warehouseId): void
    {
        $this->warehouseId = $warehouseId;
    }




}